Eigene Domains
GET https://okk.link/api/domains/available
curl --request GET \
--url 'https://okk.link/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Das Feld, in dem gesucht werden soll. Erlaubte Werte: host. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Ergebnisse ab diesem Datum filtern. Format: Y-m-d H:i:s. |
| datetime_end | Optional String | Ergebnisse bis zu diesem Datum filtern. Format: Y-m-d H:i:s. |
| order_by | Optional String | Das Feld, nach dem Ergebnisse sortiert werden sollen. Erlaubte Werte: domain_id, datetime, last_datetime, host. |
| order_type | Optional String | Die Sortierung der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Integer | Die Seitennummer, für die du Ergebnisse abrufen möchtest. Standard ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse pro Seite angezeigt werden sollen. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": 1,
"scheme": "Example",
"host": "Example",
"url": "https://example.com/",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:54"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/domains/available?page=1",
"last": "https://okk.link/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/domains/available?page=1"
}
}
GET https://okk.link/api/domains/
curl --request GET \
--url 'https://okk.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Das Feld, in dem gesucht werden soll. Erlaubte Werte: host. |
| is_enabled | Optional Boolean | |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Ergebnisse ab diesem Datum filtern. Format: Y-m-d H:i:s. |
| datetime_end | Optional String | Ergebnisse bis zu diesem Datum filtern. Format: Y-m-d H:i:s. |
| order_by | Optional String | Das Feld, nach dem Ergebnisse sortiert werden sollen. Erlaubte Werte: domain_id, datetime, last_datetime, host. |
| order_type | Optional String | Die Sortierung der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Integer | Die Seitennummer, für die du Ergebnisse abrufen möchtest. Standard ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse pro Seite angezeigt werden sollen. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:54"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/domains?page=1",
"last": "https://okk.link/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/domains?page=1"
}
}
GET https://okk.link/api/domains/{domain_id}
curl --request GET \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:54"
}
}
POST https://okk.link/api/domains
| Parameter | Details | Beschreibung |
|---|---|---|
| host | Erforderlich String | - |
| custom_index_url | Optional String | - |
| custom_not_found_url | Optional String | - |
| scheme | Optional String | - |
curl --request POST \
--url 'https://okk.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://okk.link/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:54"
}
}
POST https://okk.link/api/domains/{domain_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| host | Optional String | - |
| custom_index_url | Optional String | - |
| custom_not_found_url | Optional String | - |
| scheme | Optional String | - |
curl --request POST \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-17 00:09:54"
}
}
DELETE https://okk.link/api/domains/{domain_id}
curl --request DELETE \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \